Retrieve user's profile
curl --request GET \
--url https://console.gmicloud.ai/api/v1/me/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/me/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/me/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"email": "john.doe@example.com",
"firstName": "john",
"lastName": "doe",
"lastLoginAt": 1740557336,
"lastLoginIDP": "google"
},
"organization": {
"id": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"role": "org_owner"
}
}{
"group": "user",
"code": 1000,
"message": "Get user encountered DB error.",
"traces": [
"DB error occurred."
]
}me
Retrieve user's profile
Retrieves the profile information of the current authenticated user.
GET
/
me
/
profile
Retrieve user's profile
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
⌘I